package models

import (
	"bwallet/pkg/casbin"
)

func AddPolicy(params ...interface{}) error {
	_, err := casbin.Enforcer.AddPolicy(params)
	if err != nil {
		return err
	}

	return nil
}

func AddGroupingPolicy(params ...interface{}) error {
	_, err := casbin.Enforcer.AddGroupingPolicy(params)
	if err != nil {
		return err
	}

	return nil
}

func RemovePolicy(params ...interface{}) error {

	return nil
}
